<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   (C) 2013 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * MODIF LMC - 28/02/2022
 * - Lien sur titre uniquement si contenu (lien readmore valide)
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\Component\Content\Site\Helper\RouteHelper;
///// JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

// Create a shortcut for params.
$params  = $displayData->params;
$canEdit = $displayData->params->get('access-edit');

$currentDate = Factory::getDate()->format('Y-m-d H:i:s');

// Modif LM
$nbday = 30;
$tmp = date('Y-m-d H:i:s', mktime(date("H"), date("i"), 0, date("m"), date("d")-intval($nbday), date("Y")));	
$class_new = ($tmp < $displayData->publish_up) ? ' item-new' : '';

// Prparation du titre
// mise en SMALL du texte aprs ~ (tilde) 
// + BR si texte > 10 car
$art_title = $this->escape($displayData->title);
if (strpos($art_title, '~')!==false) {
	$tmp = explode('~',$art_title);
	$art_title = $tmp[0];
	$art_title.= (strlen($tmp[1])>10) ? '<br>' : '';
	$art_title.= '<small>'.$tmp[1].'</small>';
}
// fin modif LM
?>
<?php if ($displayData->state == 0 || $params->get('show_title') || ($params->get('show_author') && !empty($displayData->author ))) : ?>
	<div class="page-header">
		<?php if ($params->get('show_title')) : ?>
			<h2 class="item-title <?php echo $class_new; ?>" itemprop="name">
				<?php if ($params->get('link_titles') && ($params->get('access-view') || $params->get('show_noauth', '0') == '1')) : ?>
					<a href="<?php echo Route::_(
						RouteHelper::getArticleRoute($displayData->slug, $displayData->catid, $displayData->language)
					); ?>" itemprop="url">
						<?php echo $art_title; //LM ?>
					</a>
				<?php else : ?>
					<?php echo $art_title; // LM ?>
				<?php endif; ?>
			</h2>
		<?php endif; ?>

		<?php if ($displayData->state == 0) : ?>
			<span class="badge bg-warning"><?php echo Text::_('JUNPUBLISHED'); ?></span>
		<?php endif; ?>

		<?php if ($displayData->publish_up > $currentDate) : ?>
			<span class="badge bg-warning"><?php echo Text::_('JNOTPUBLISHEDYET'); ?></span>
		<?php endif; ?>

		<?php if ($displayData->publish_down !== null && $displayData->publish_down < $currentDate) : ?>
			<span class="badge bg-warning"><?php echo Text::_('JEXPIRED'); ?></span>
		<?php endif; ?>
	</div>
<?php endif; ?>
